Foreman - Bug #36522

Audit shows N/A for host owner changes
06/20/2023 04:17 PM - Adam Ruzicka

Status: Closed
Priority: Normal
Assignee: Adam Ruzicka
Category: Audit Log
Target version:
Difficulty: Fixed in Releases: 3.8.0
Triaged: Yes Found in Releases:
Bugzilla link: 2216158 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/9743
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=2216158

Description of problem:
When a host owner is changed, the following entry is shown in audit:

<user> update HOST <host> <datetime>
Name | Old | New

Owner | N/A | N/A

How reproducible:
Deterministic

Steps to Reproduce:

1. Create a host

2. Go to All hosts -> <host> -> Edit -> Additional information
3. Change Owner, submit

4. In the host details, in the bottom right, click All audits

Actual results:
The newest entry is an owner change but without actual user values

Expected results:
The entry should show wo is the original owner and who is the new owner

Associated revisions

Revision 5ef6a310 - 08/29/2023 01:43 PM - Adam Ruzicka
Fixes #36522 - Properly display changes of owner_id field in audits

This previously didn't work because the owner is a polymorphic
relationship (either it is a user or a usergroup).

History

#1 - 06/20/2023 04:19 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/9743 added

#2 - 08/29/2023 01:43 PM - The Foreman Bot
- Fixed in Releases 3.8.0 added

#3 - 08/29/2023 04:00 PM - Adam Ruzicka
- Status changed from Ready For Testing to Closed
https://bugzilla.redhat.com/show_bug.cgi?id=2216158

Applied in changeset foreman|5ef6a310735f3f29c23ee9e8d54c0433ec78b37b.

#4 - 09/08/2023 04:11 PM - Griffin Sullivan

- Subject changed from Audit shows N/A for host owner changes
to Audit shows N/A for host owner changes

#5 - 09/11/2023 10:47 AM - Ewoud Kohl van Wijngaarden

- Triaged changed from No to Yes
